// packageE/community_buying/buying_data/buying_data.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    pageData:{}
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function (options) {
    this.getData(options.buyingid);
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function () {

  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function () {

  },

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function () {

  },

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function () {

  },

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function () {

  },

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function () {

  },

  getData(group_id){
    let urlStr = app.getNetAddresss('plugin.package-deliver.frontend.communityGroups.statistic');
    app._postNetWork({
      url: urlStr,
      data:{
        group_id
      },
      success: (resdata) => {
        var res = resdata.data;
        console.log(res);
        if(res.result==1){
          this.setData({
            pageData:res.data
          });
        }
      }
    });
  },

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function () {

  }
});